# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`puppet_status_check`](#puppet_status_check): puppet_status_check fact and failed indicators

### Data types

* [`Puppet_status_check::Role`](#Puppet_status_check--Role): puppet status check role

### Plans

* [`puppet_status_check::summary`](#puppet_status_check--summary): Summary report if the state of status check on each node
Uses the facts task to get the current status from each node
and produces a summary report in JSON

## Classes

### <a name="puppet_status_check"></a>`puppet_status_check`

When this class is included and enabled, any of the indicators in the
puppet_status_check fact that are false will add a notify resource to the
catalog.
Individual indicators can be disabled by adding the ID to the
indicator_exclusions parameter.

#### Examples

##### 

```puppet
include 'puppet_status_check':
```

#### Parameters

The following parameters are available in the `puppet_status_check` class:

* [`enabled`](#-puppet_status_check--enabled)
* [`role`](#-puppet_status_check--role)
* [`indicate`](#-puppet_status_check--indicate)
* [`indicator_exclusions`](#-puppet_status_check--indicator_exclusions)
* [`checks`](#-puppet_status_check--checks)
* [`postgresql_service`](#-puppet_status_check--postgresql_service)
* [`pg_config_path`](#-puppet_status_check--pg_config_path)

##### <a name="-puppet_status_check--enabled"></a>`enabled`

Data type: `Boolean`

Enable checks

Default value: `true`

##### <a name="-puppet_status_check--role"></a>`role`

Data type: `Puppet_status_check::Role`

Role node performs

Default value: `'agent'`

##### <a name="-puppet_status_check--indicate"></a>`indicate`

Data type: `Boolean`

Enable notify resources for failed checks

Default value: `true`

##### <a name="-puppet_status_check--indicator_exclusions"></a>`indicator_exclusions`

Data type: `Array[String[1]]`

List of disabled indicators, place any indicator ids you do not wish to
report on in this list

Default value: `[]`

##### <a name="-puppet_status_check--checks"></a>`checks`

Data type: `Hash`

Hash containing a description for each check

##### <a name="-puppet_status_check--postgresql_service"></a>`postgresql_service`

Data type: `String`

Name of postgresql service unit

Default value: `'postgresql'`

##### <a name="-puppet_status_check--pg_config_path"></a>`pg_config_path`

Data type: `String`

Path to postgresql pg_config binary

Default value: `'pg_config'`

## Data types

### <a name="Puppet_status_check--Role"></a>`Puppet_status_check::Role`

puppet status check role

Alias of `Enum['primary', 'compiler', 'postgres', 'agent']`

## Plans

### <a name="puppet_status_check--summary"></a>`puppet_status_check::summary`

Summary report if the state of status check on each node
Uses the facts task to get the current status from each node
and produces a summary report in JSON

#### Parameters

The following parameters are available in the `puppet_status_check::summary` plan:

* [`targets`](#-puppet_status_check--summary--targets)
* [`indicator_exclusions`](#-puppet_status_check--summary--indicator_exclusions)

##### <a name="-puppet_status_check--summary--targets"></a>`targets`

Data type: `Optional[TargetSpec]`

A comma seprated list of FQDN's of Puppet infrastructure agent nodes
Defaults to using a PuppetDB query to identify nodes

Default value: `undef`

##### <a name="-puppet_status_check--summary--indicator_exclusions"></a>`indicator_exclusions`

Data type: `Array[String[1]]`

List of disabled indicators, place any indicator ids you do not wish to report on in this list
Static Hiera Data can be used to set indicator_exclusions in a plan - for more information see https://www.puppet.com/docs/pe/latest/writing_plans_in_puppet_language_pe.html#using_hiera_with_plans

Default value: `lookup('puppet_status_check::indicator_exclusions', undef, undef, [])`

